• Customermates logo
    CustomermatesDocumentation
  • Introduction
Getting Started
  • Quickstart
  • Core Concepts
Connect your AI
  • Custom connector
  • CLI & editors
  • Rate limits
Integrations
  • MCP
  • Webhooks
  • OpenAPI 3.1.0
  • N8N
Self-Hosting
  • Get Started
  • Architecture & Security
App guide
  • Dashboard
  • Inbox
  • Records
  • Profile
  • Company
  • API Keys
  • Filter Syntax
  • Go back
  1. Introduction
  2. OpenAPI 3.1.0
OverviewAccept a relation requestPOSTBrowse a Sales Navigator listPOSTCalendar ChangedWEBHOOKCalendar Event ChangedWEBHOOKCancel a relation requestPOSTChat DeletedWEBHOOKChat UpdatedWEBHOOKContact CreatedWEBHOOKContact DeletedWEBHOOKContact UpdatedWEBHOOKCreate a contactPOSTCreate a dealPOSTCreate a servicePOSTCreate a taskPOSTCreate a webhook subscriptionPOSTCreate an organizationPOSTCreate many contactsPOSTCreate many dealsPOSTCreate many organizationsPOSTCreate many servicesPOSTCreate many tasksPOSTDeal CreatedWEBHOOKDeal DeletedWEBHOOKDeal UpdatedWEBHOOKDelete a contactDELETEDelete a dealDELETEDelete a serviceDELETEDelete a taskDELETEDelete a webhook subscriptionDELETEDelete an organizationDELETEDelete many contactsDELETEDelete many dealsDELETEDelete many organizationsDELETEDelete many servicesDELETEDelete many tasksDELETEDiscard a message draftDELETEEmail DeletedWEBHOOKEmail ReceivedWEBHOOKGet a calendar by IDGETGet a calendar event by IDGETGet a contact by IDGETGet a deal by IDGETGet a messaging thread by IDGETGet a service by IDGETGet a social profilePOSTGet a task by IDGETGet a webhook subscriptionGETGet activitiesPOSTGet an organization by IDGETGet calendar eventsPOSTGet calendarsPOSTGet contactsPOSTGet contacts configurationGETGet dealsPOSTGet deals configurationGETGet messaging threadsPOSTGet organizationsPOSTGet organizations configurationGETGet own user profileGETGet servicesPOSTGet services configurationGETGet tasksPOSTGet tasks configurationGETGet usersPOSTList or fetch social postsPOSTList own connected accountsGETList post comments or reactionsPOSTList received relation requestsPOSTList Sales Navigator listsPOSTList Sales Navigator search parametersPOSTMessage DeletedWEBHOOKMessage ReactionWEBHOOKMessage ReceivedWEBHOOKMessage UpdatedWEBHOOKOrganization CreatedWEBHOOKOrganization DeletedWEBHOOKOrganization UpdatedWEBHOOKRelation CreatedWEBHOOKRun a Sales Navigator search from a URLPOSTSave a lead or account to a Sales Navigator listPOSTSave a message draftPOSTSearch Sales Navigator companies (accounts)POSTSearch Sales Navigator people (leads)POSTSend a chat messagePOSTSend a relation requestPOSTSend an emailPOSTService CreatedWEBHOOKService DeletedWEBHOOKService UpdatedWEBHOOKStart a chatPOSTTask CreatedWEBHOOKTask DeletedWEBHOOKTask UpdatedWEBHOOKUpdate a contactPUTUpdate a dealPUTUpdate a servicePUTUpdate a taskPUTUpdate an organizationPUTUpdate many contactsPUTUpdate many dealsPUTUpdate many organizationsPUTUpdate many servicesPUTUpdate many tasksPUT

Send a chat message

Sends a real message into an existing chat thread (LinkedIn, WhatsApp, etc.). This delivers a real message as a side effect.

POST
/v1/messaging/threads/{id}/messages

Authorization

apiKeyAuth
x-api-key<token>

API key authentication. Create an API key in your user profile and include it in the x-api-key header.

In: header

Path Parameters

id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

text*string
Lengthlength <= 20000
attachments?array<>
Itemsitems <= 20
draftMessageId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://customermates.com/api/v1/messaging/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages" \  -H "Content-Type: application/json" \  -d '{    "text": "string"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "messagingThreadId": "ea642f89-7688-4a10-9525-46b6c79cc287",
  "connectedAccountId": "ac03972a-5ca5-43c5-b96f-c519ac843b7a",
  "providerMessageId": "string",
  "provider": "google",
  "direction": "inbound",
  "sender": {
    "attendeeId": "string",
    "displayName": "string",
    "identifier": "string",
    "pictureUrl": "string",
    "profileUrl": "string",
    "headline": "string",
    "occupation": "string",
    "isSelf": true,
    "contact": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "firstName": "string",
      "lastName": "string",
      "avatarUrl": "string"
    }
  },
  "recipients": {
    "to": [],
    "cc": [],
    "bcc": []
  },
  "subject": "string",
  "bodyText": "string",
  "bodyHtml": "string",
  "attachmentsMeta": [
    {
      "id": "string",
      "name": "string",
      "fileName": "string",
      "type": "string",
      "mime": "string",
      "size": 9007199254740991,
      "sticker": true,
      "voiceNote": true,
      "gif": true,
      "durationSeconds": 0,
      "unavailable": true,
      "linkUrl": "string"
    }
  ],
  "isEvent": false,
  "isDeleted": false,
  "isHidden": false,
  "isDraft": false,
  "sentAt": "string",
  "editedAt": "string",
  "reactions": []
}
"string"
"string"
"string"
"string"